#ifndef SynchronizationResultH
#define SynchronizationResultH

#include <string>
#include <map>
#include "Cres.h"


class SynchronizationResult
{
 private:
    static std::map<int, AgString> CODES;
    AgString details;
    int code;

    void init();

public:

public:
    bool isSuccessful();
    int getCode();
    AgString toString();
	SynchronizationResult();
    SynchronizationResult(int code);
    SynchronizationResult(int code, const AgString& details);

};
#endif 
